"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const bucket_gcp_1 = require("./bucket-gcp");
const bucket_aws_1 = require("./bucket-aws");
var url_signer_1 = require("./url-signer");
exports.signUrl = url_signer_1.signUrl;
async function getBucket(rawCfg) {
    // if has .project_id, assume GcpBucket
    if (rawCfg.project_id) {
        return bucket_gcp_1.getGcpBucket(rawCfg);
    }
    else if (rawCfg.access_key_id) {
        return bucket_aws_1.getAwsBucket(rawCfg);
    }
    else {
        throw new Error(`bucket config does not seem to be valid (only support Gcp and Aws for now)`);
    }
}
exports.getBucket = getBucket;
